## GtkColorSelectionDialog

GtkColorSelectionDialog

## Functions

GtkWidget * | gtk_color_selection_dialog_new ()
GtkWidget * | gtk_color_selection_dialog_get_color_selection ()

## Properties

GtkWidget * | cancel-button | Read
GtkWidget * | color-selection | Read
GtkWidget * | help-button | Read
GtkWidget * | ok-button | Read

## Types and Values

struct | GtkColorSelectionDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── GtkColorSelectionDialog

## Implemented Interfaces

GtkColorSelectionDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_color_selection_dialog_new ()

    GtkWidget *
    gtk_color_selection_dialog_new (const gchar *title);

### gtk_color_selection_dialog_get_color_selection ()

    GtkWidget *
    gtk_color_selection_dialog_get_color_selection
                                   (GtkColorSelectionDialog *colorsel);

Retrieves the GtkColorSelection widget embedded in the dialog.

#### Parameters

colorsel | a GtkColorSelectionDialog |

#### Returns

the embedded GtkColorSelection.

[transfer none]

Since: 2.14

## Types and Values

### struct GtkColorSelectionDialog

    struct GtkColorSelectionDialog;

## Property Details

### The `“cancel-button”` property

      “cancel-button”            GtkWidget *

The cancel button of the dialog.

Owner: GtkColorSelectionDialog

Flags: Read

### The `“color-selection”` property

      “color-selection”          GtkWidget *

The color selection embedded in the dialog.

Owner: GtkColorSelectionDialog

Flags: Read

### The `“help-button”` property

      “help-button”              GtkWidget *

The help button of the dialog.

Owner: GtkColorSelectionDialog

Flags: Read

### The `“ok-button”` property

      “ok-button”                GtkWidget *

The OK button of the dialog.

Owner: GtkColorSelectionDialog

Flags: Read